Tables
2 API calls in this section.
List Tables
Public APIs / Public / Tables
GET
/public/restaurant/:slug/tablesBrowse a restaurant’s tables through its public location page.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | string | Example: |
limit | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/tables?page=${PAGE}&limit=${LIMIT}"Response examples
No saved response example. Use Try it to inspect a staging response.
Get Table by Code
Public APIs / Public / Tables
GET
/public/restaurant/:slug/tables/by-code/:codeResolve a table code within a restaurant, such as when opening a table link.
Path parameters
| Parameter | Type | Description |
|---|---|---|
slugRequired | string | Dynamic path value from the request URL. |
codeRequired | string | Dynamic path value from the request URL. |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/tables/by-code/${CODE}"Response examples
No saved response example. Use Try it to inspect a staging response.